diff --git python-flask-babel/python-flask-babel.spec python-flask-babel/python-flask-babel.spec.tmp
index cef374ed03..cae55a127f 100644
--- python-flask-babel/python-flask-babel.spec
+++ python-flask-babel/python-flask-babel.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:		python-%{pkg_name}
 Version:	0.9
-Release:	10%{?dist}
+Release:	11%{?dist}
 Summary:	Adds i18n/l10n support to Flask applications
 Group:		Development/Libraries
 License:	BSD
@@ -21,9 +21,17 @@ Patch0:		%{name}-tests.patch
 Patch1:		%{name}-more-tests.patch
 %{?python_provide:%python_provide python-%{pkg_name}}
 
-%description
+%global _description\
 Adds i18n/l10n support to Flask applications with the help of the Babel library.
 
+%description %_description
+
+%package -n python2-%{pkg_name}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{pkg_name}}
+
+%description -n python2-%{pkg_name} %_description
+
 %package -n python3-%{pkg_name}
 Summary:	Adds i18n/l10n support to Flask applications
 Requires:	python3-babel
@@ -60,7 +68,7 @@ cp Makefile{.orig,}
 sed -i 's|python |%{__python3} |' Makefile
 PYTHONPATH=$RPM_BUILD_ROOT/%{python3_sitelib}:%{python3_sitelib} make test
 
-%files
+%files -n python2-%{pkg_name}
 %doc docs LICENSE PKG-INFO README
 %{python2_sitelib}/*.egg-info/
 %{python2_sitelib}/flask_babel/*.py*
@@ -71,6 +79,10 @@ PYTHONPATH=$RPM_BUILD_ROOT/%{python3_sitelib}:%{python3_sitelib} make test
 %{python3_sitelib}/flask_babel/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.9-11
+- Python 2 subpackage renamed to python2-flask-babel
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9-10
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-flask-lastuser/python-flask-lastuser.spec python-flask-lastuser/python-flask-lastuser.spec.tmp
index 2dded77c23..c7e8e30b90 100644
--- python-flask-lastuser/python-flask-lastuser.spec
+++ python-flask-lastuser/python-flask-lastuser.spec.tmp
@@ -4,7 +4,7 @@
 
 Name:           python-flask-lastuser
 Version:        0.2
-Release:        11.%{git_date}git%{git_version}%{?dist}
+Release:        12.%{git_date}git%{git_version}%{?dist}
 Summary:        Flask extension for LastUser
 
 Group:          Development/Libraries
@@ -21,11 +21,19 @@ BuildRequires:  python-devel
 BuildRequires:  python-httplib2
 BuildRequires:  python-setuptools
 
-%description
-Flask-lastuser is a flask extension for lastuser which used for user 
-management code including logging in, managing the profile and verifying
+%global _description\
+Flask-lastuser is a flask extension for lastuser which used for user\
+management code including logging in, managing the profile and verifying\
 email addresses etc.
 
+%description %_description
+
+%package -n python2-flask-lastuser
+Summary: %summary
+%{?python_provide:%python_provide python2-flask-lastuser}
+
+%description -n python2-flask-lastuser %_description
+
 %prep
 %setup -q -cn %{mod_name}-%{version}.%{git_date}git%{git_version}
 
@@ -39,13 +47,17 @@ rm -rf $RPM_BUILD_ROOT
 %{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
 
  
-%files
+%files -n python2-flask-lastuser
 %doc docs/ LICENSE README
 %{python_sitelib}/*-nspkg.pth
 %{python_sitelib}/*.egg-info/
 %{python_sitelib}/flaskext/lastuser/*.py*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2-12.20110722git3bf2a0
+- Python 2 subpackage renamed to python2-flask-lastuser
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-11.20110722git3bf2a0
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-flask-login/python-flask-login.spec python-flask-login/python-flask-login.spec.tmp
index 40aa0949ee..8ac5472c81 100644
--- python-flask-login/python-flask-login.spec
+++ python-flask-login/python-flask-login.spec.tmp
@@ -15,7 +15,7 @@
 
 Name:           python-flask-login
 Version:        0.3.0
-Release:        7%{?dist}
+Release:        8%{?dist}
 Summary:        User session management for Flask
 
 License:        MIT
@@ -31,12 +31,19 @@ BuildRequires:  python3-devel
 BuildRequires:  python3-setuptools
 %endif # if with_python3
 
+%global _description\
+Flask-Login provides user session management for Flask. It handles the common\
+tasks of logging in, logging out, and remembering your users' sessions over\
+extended periods of time.
+
+%description %_description
+
+%package -n python2-flask-login
+Summary: %summary
 Requires:       python-flask
+%{?python_provide:%python_provide python2-flask-login}
 
-%description
-Flask-Login provides user session management for Flask. It handles the common
-tasks of logging in, logging out, and remembering your users' sessions over
-extended periods of time.
+%description -n python2-flask-login %_description
 
 %if 0%{?with_python3}
 %package -n     python3-flask-login
@@ -88,7 +95,7 @@ popd
 
 
 
-%files
+%files -n python2-flask-login
 %doc README.markdown
 %license LICENSE
 %{python2_sitelib}/*
@@ -102,6 +109,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.0-8
+- Python 2 subpackage renamed to python2-flask-login
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-flask-openid/python-flask-openid.spec python-flask-openid/python-flask-openid.spec.tmp
index 4160138d5d..a3282857a1 100644
--- python-flask-openid/python-flask-openid.spec
+++ python-flask-openid/python-flask-openid.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:           python-flask-openid
 Version:        1.2.5
-Release:        7%{?dist}
+Release:        8%{?dist}
 Summary:        OpenID support for Flask
 
 Group:          Development/Libraries
@@ -15,7 +15,6 @@ BuildArch:      noarch
 BuildRequires:  python-devel
 BuildRequires:  python-openid
 BuildRequires:  python-setuptools
-Requires:  python-openid
 
 %if 0%{?with_python3}
 BuildRequires:  python3-devel
@@ -23,10 +22,19 @@ BuildRequires:  python3-setuptools
 BuildRequires:  python3-openid
 %endif
 
-%description
-Flask-OpenID is an extension to flask that allows you to add openid
+%global _description\
+Flask-OpenID is an extension to flask that allows you to add openid\
 based authentication to your website in a matter of minutes.
 
+%description %_description
+
+%package -n python2-flask-openid
+Summary: %summary
+Requires:  python-openid
+%{?python_provide:%python_provide python2-flask-openid}
+
+%description -n python2-flask-openid %_description
+
 %if 0%{?with_python3}
 %package -n python3-flask-openid
 Summary:        OpenID support for Flask
@@ -74,7 +82,7 @@ mkdir -p $RPM_BUILD_ROOT%{python3_sitelib}
 popd
 %endif
  
-%files
+%files -n python2-flask-openid
 %doc docs LICENSE PKG-INFO README
 %{python_sitelib}/*.egg-info/
 %{python_sitelib}/*.py*
@@ -88,6 +96,10 @@ popd
 %endif # with_python3
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.2.5-8
+- Python 2 subpackage renamed to python2-flask-openid
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.5-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-flask-rstpages/python-flask-rstpages.spec python-flask-rstpages/python-flask-rstpages.spec.tmp
index aa4c391d58..faa958f072 100644
--- python-flask-rstpages/python-flask-rstpages.spec
+++ python-flask-rstpages/python-flask-rstpages.spec.tmp
@@ -16,13 +16,12 @@
 
 Name:           python-flask-rstpages
 Version:        0.3
-Release:        10%{?dist}
+Release:        11%{?dist}
 Summary:        Adds support for reStructuredText to a Flask application
 License:        BSD
 URL:            http://flask-rstpages.readthedocs.org/
 Source0:        https://pypi.python.org/packages/source/F/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
 BuildArch:      noarch
-Provides:       Flask-RSTPages
 
 BuildRequires:  python-devel
 BuildRequires:  python-flask
@@ -34,13 +33,21 @@ BuildRequires:  python3-flask
 BuildRequires:  python3-sphinx
 %endif # if with_python3
 
-Requires:       python-flask
-Requires:       python-pygments
+%global _description\
+Flask-RSTPages adds support for reStructuredText\
+to your Flask application.
+
+%description %_description
+
+%package -n python2-flask-rstpages
+Summary: %summary
 Requires:       python-docutils
+Requires:       python-pygments
+Requires:       python-flask
+Provides:       Flask-RSTPages
+%{?python_provide:%python_provide python2-flask-rstpages}
 
-%description
-Flask-RSTPages adds support for reStructuredText
-to your Flask application.
+%description -n python2-flask-rstpages %_description
 
 %if 0%{?with_python3}
 %package -n     python3-flask-rstpages
@@ -100,7 +107,7 @@ popd
 
 %{__python2} setup.py install --skip-build --root %{buildroot}
 
-%files
+%files -n python2-flask-rstpages
 %doc html LICENSE
 %{python2_sitelib}/flask_rstpages
 %{python2_sitelib}/Flask_RSTPages-%{version}-py?.?.egg-info
@@ -113,6 +120,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3-11
+- Python 2 subpackage renamed to python2-flask-rstpages
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-10
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-flask-script/python-flask-script.spec python-flask-script/python-flask-script.spec.tmp
index c4101d9fe0..32c2d7f4b8 100644
--- python-flask-script/python-flask-script.spec
+++ python-flask-script/python-flask-script.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:       python-flask-script
 Version:    2.0.5
-Release:    8%{?dist}
+Release:    9%{?dist}
 Summary:    Scripting support for Flask
 
 License:    BSD
@@ -28,14 +28,22 @@ BuildRequires:  python3-flask
 BuildRequires:  python3-sphinx
 BuildRequires:  python3-pytest
 %endif
-Requires:       python-flask
 
-%description
-The Flask-Script extension provides support for writing external scripts in
-Flask.This includes running a development server, a customized Python shell,
-scripts to set up your database, cronjobs, and other command-line tasks that
+%global _description\
+The Flask-Script extension provides support for writing external scripts in\
+Flask.This includes running a development server, a customized Python shell,\
+scripts to set up your database, cronjobs, and other command-line tasks that\
 belong outside the web application itself.
 
+%description %_description
+
+%package -n python2-flask-script
+Summary: %summary
+Requires:       python-flask
+%{?python_provide:%python_provide python2-flask-script}
+
+%description -n python2-flask-script %_description
+
 %if 0%{?with_python3}
 %package -n python3-flask-script
 Summary:    Scripting support for flask in python3-flask
@@ -92,7 +100,7 @@ popd
 %endif
 
 
-%files
+%files -n python2-flask-script
 %doc docs/_build/html README.rst LICENSE 
 %{python2_sitelib}/*.egg-info/
 %{python2_sitelib}/flask_script/*.py*
@@ -105,6 +113,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.0.5-9
+- Python 2 subpackage renamed to python2-flask-script
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.5-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-flask-silk/python-flask-silk.spec python-flask-silk/python-flask-silk.spec.tmp
index 1e7559e8d1..fa6bf307d8 100644
--- python-flask-silk/python-flask-silk.spec
+++ python-flask-silk/python-flask-silk.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:		python-flask-silk
 Version:	0.1.2
-Release:	9%{?dist}
+Release:	10%{?dist}
 Summary:	Adds silk icons to your Flask application or module, or extension
 Group:		Development/Libraries
 License:	BSD and CC-BY-SA
@@ -12,11 +12,19 @@ BuildArch:	noarch
 BuildRequires:	python-devel
 BuildRequires:	python-flask
 BuildRequires:	python-setuptools
-Requires:	python-flask
 
-%description
+%global _description\
 Adds silk icons to your Flask application or module, or extension.
 
+%description %_description
+
+%package -n python2-flask-silk
+Summary: %summary
+Requires:	python-flask
+%{?python_provide:%python_provide python2-flask-silk}
+
+%description -n python2-flask-silk %_description
+
 %prep
 %setup -q -n %{mod_name}-%{version}
 # avoid issues due to flaskext added to PYTHONPATH by the time test.py is run
@@ -31,13 +39,17 @@ sed -i 's|^\(from \)flaskext\.\(silk\)|\1\2|' test.py
 %check
 PYTHONPATH=$PWD/build/lib/flaskext:$PYTHONPATH python test.py
 
-%files
+%files -n python2-flask-silk
 %doc LICENSE PKG-INFO README
 %{python_sitelib}/*-nspkg.pth
 %{python_sitelib}/*.egg-info/
 %{python_sitelib}/flaskext/silk
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.2-10
+- Python 2 subpackage renamed to python2-flask-silk
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-9
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-flask-whooshalchemy/python-flask-whooshalchemy.spec python-flask-whooshalchemy/python-flask-whooshalchemy.spec.tmp
index b0fdfd51a8..baa9d09e18 100644
--- python-flask-whooshalchemy/python-flask-whooshalchemy.spec
+++ python-flask-whooshalchemy/python-flask-whooshalchemy.spec.tmp
@@ -4,7 +4,7 @@
 
 Name:           python-flask-whooshalchemy
 Version:        0.6
-Release:        11%{?dist}
+Release:        12%{?dist}
 Summary:        Whoosh extension to Flask/SQLAlchemy
 
 Group:          Development/Libraries
@@ -20,18 +20,26 @@ BuildRequires:  python-sqlalchemy
 BuildRequires:  python-flask-sqlalchemy
 BuildRequires:  python-whoosh
 BuildRequires:  python-blinker
-Requires:  python-flask
-Requires:  python-sqlalchemy
-Requires:  python-flask-sqlalchemy
-Requires:  python-whoosh
-Requires:  python-blinker
 
 
-%description
-Flask-WhooshAlchemy is a Flask extension that integrates the text-search
-functionality of Whoosh with the ORM of SQLAlchemy for use in Flask
+%global _description\
+Flask-WhooshAlchemy is a Flask extension that integrates the text-search\
+functionality of Whoosh with the ORM of SQLAlchemy for use in Flask\
 applications.
 
+%description %_description
+
+%package -n python2-flask-whooshalchemy
+Summary: %summary
+Requires:  python-blinker
+Requires:  python-whoosh
+Requires:  python-flask-sqlalchemy
+Requires:  python-sqlalchemy
+Requires:  python-flask
+%{?python_provide:%python_provide python2-flask-whooshalchemy}
+
+%description -n python2-flask-whooshalchemy %_description
+
 %prep
 # Delete upstream supplied egg-info
 rm -rf *.egg-info
@@ -51,12 +59,16 @@ sed -i -e "s/Whoosh==2.6.0/Whoosh>=2.5.7/" requirements.txt
 %install
 %{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
 
-%files
+%files -n python2-flask-whooshalchemy
 %{python2_sitelib}/flask_whooshalchemy.py*
 %{python2_sitelib}/Flask_WhooshAlchemy-*.egg-info/
 %doc doc/ README.rst LICENSE.txt 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.6-12
+- Python 2 subpackage renamed to python2-flask-whooshalchemy
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6-11
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-flatland/python-flatland.spec python-flatland/python-flatland.spec.tmp
index 7ee75bc291..803a2d1fd4 100644
--- python-flatland/python-flatland.spec
+++ python-flatland/python-flatland.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-flatland
 Version:        0.0.2
-Release:        11%{?dist}
+Release:        12%{?dist}
 Summary:        HTML form management and validation
 
 License:        MIT
@@ -12,14 +12,22 @@ Source0:        jek-flatland-0938e70bb76d.tar.bz2
 
 BuildArch:      noarch
 BuildRequires:  python-devel python-nose python-blinker
-Requires:       python-genshi python-blinker
 
-%description
-Flatland maps between rich, structured Python application data and the 
-string-oriented flat namespace of web forms, key/value stores, text 
-files and user input. Flatland provides a schema-driven mapping toolkit 
+%global _description\
+Flatland maps between rich, structured Python application data and the\
+string-oriented flat namespace of web forms, key/value stores, text\
+files and user input. Flatland provides a schema-driven mapping toolkit\
 with optional data validation.
 
+%description %_description
+
+%package -n python2-flatland
+Summary: %summary
+Requires:       python-genshi python-blinker
+%{?python_provide:%python_provide python2-flatland}
+
+%description -n python2-flatland %_description
+
 %prep
 %setup -qn jek-flatland-0938e70bb76d
 
@@ -37,7 +45,7 @@ nosetests -v
 %clean
 %{__rm} -rf %{buildroot}
 
-%files
+%files -n python2-flatland
 %defattr(-,root,root,-)
 %doc AUTHORS LICENSE README
 %{python_sitelib}/flatland-*py?.?.egg-info
@@ -45,6 +53,10 @@ nosetests -v
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.0.2-12
+- Python 2 subpackage renamed to python2-flatland
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.2-11
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
@@ -76,4 +88,4 @@ nosetests -v
 - Review fixes.
 
 * Thu Dec 15 2011 Jon Ciesla <limburgher@gmail.com> - 0.0.2-1
-- Initial package.
\ No newline at end of file
+- Initial package.
diff --git python-flexmock/python-flexmock.spec python-flexmock/python-flexmock.spec.tmp
index a83d6a8fef..acc20fc0fe 100644
--- python-flexmock/python-flexmock.spec
+++ python-flexmock/python-flexmock.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-flexmock
 Version:        0.10.2
-Release:        6%{?dist}
+Release:        7%{?dist}
 Summary:        Testing library that makes it easy to create mocks, stubs and fakes
 
 License:        BSD
@@ -28,14 +28,22 @@ BuildRequires:  python3-pytest
 %endif
 
 
-%description
-Flexmock is a testing library for Python that makes it easy to create mocks,
-stubs and fakes. The API is inspired by a Ruby library of the same name, but
-Python flexmock is not a clone of the Ruby version. It omits a number of
-redundancies in the Ruby flexmock API, alters some defaults, and introduces
-a number of Python-only features.
+%global _description\
+Flexmock is a testing library for Python that makes it easy to create mocks,\
+stubs and fakes. The API is inspired by a Ruby library of the same name, but\
+Python flexmock is not a clone of the Ruby version. It omits a number of\
+redundancies in the Ruby flexmock API, alters some defaults, and introduces\
+a number of Python-only features.\
 
 
+%description %_description
+
+%package -n python2-flexmock
+Summary: %summary
+%{?python_provide:%python_provide python2-flexmock}
+
+%description -n python2-flexmock %_description
+
 %if 0%{?with_python3}
 %package -n python3-flexmock
 Summary:        Testing library that makes it easy to create mocks, stubs and fakes
@@ -87,7 +95,7 @@ PYEXECS=%{__python3} ./tests/run_tests.sh
 %endif
 
  
-%files
+%files -n python2-flexmock
 %doc LICENSE README.rst CHANGELOG docs/
 %{python_sitelib}/*
 %if 0%{?with_python3}
@@ -99,6 +107,10 @@ PYEXECS=%{__python3} ./tests/run_tests.sh
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.10.2-7
+- Python 2 subpackage renamed to python2-flexmock
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.2-6
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-fluidity-sm/python-fluidity-sm.spec python-fluidity-sm/python-fluidity-sm.spec.tmp
index f3e2ee3da8..d9a1b1cd77 100644
--- python-fluidity-sm/python-fluidity-sm.spec
+++ python-fluidity-sm/python-fluidity-sm.spec.tmp
@@ -6,7 +6,7 @@
 
 Name: python-%{pypi_name}
 Version: 0.2.0
-Release: 8%{?dist}
+Release: 9%{?dist}
 Summary: State machine implementation for Python objects
 
 License: MIT
@@ -19,6 +19,12 @@ BuildRequires: python-devel python-setuptools
 %global common_desc \
 State machine implementation for Python objects.
 
+%package -n python2-%{pypi_name}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{pypi_name}}
+
+%description -n python2-%{pypi_name} %{common_desc}
+
 %description 
 %{common_desc}
 
@@ -63,7 +69,7 @@ rm -rf $RPM_BUILD_ROOT
 %endif
 
 
-%files
+%files -n python2-%{pypi_name}
 %doc CHANGELOG LICENSE README.*
 %{python_sitelib}/fluidity/
 %{python_sitelib}/fluidity_sm-%{version}-*.egg-info/
@@ -76,6 +82,10 @@ rm -rf $RPM_BUILD_ROOT
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.0-9
+- Python 2 subpackage renamed to python2-fluidity-sm
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-flup/python-flup.spec python-flup/python-flup.spec.tmp
index b68965094e..4ac461c662 100644
--- python-flup/python-flup.spec
+++ python-flup/python-flup.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-flup
 Version:        1.0.2
-Release:        14%{?dist}
+Release:        15%{?dist}
 Summary:        Random assortment of WSGI servers for python
 
 Group:          Development/Libraries
@@ -16,10 +16,18 @@ BuildArch:      noarch
 BuildRequires: python-setuptools
 
 
-%description
-This package contains classes to create WSGI servers in python, e.g. fastcgi.
+%global _description\
+This package contains classes to create WSGI servers in python, e.g. fastcgi.\
 
 
+%description %_description
+
+%package -n python2-flup
+Summary: %summary
+%{?python_provide:%python_provide python2-flup}
+
+%description -n python2-flup %_description
+
 %prep
 %setup -q -n flup-%{version}
 
@@ -39,13 +47,17 @@ python setup.py install --skip-build --root $RPM_BUILD_ROOT
 rm -rf $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-flup
 %defattr(-,root,root,-)
 %doc ChangeLog
 %{python_sitelib}/*
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.2-15
+- Python 2 subpackage renamed to python2-flup
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-14
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-fmn-consumer/python-fmn-consumer.spec python-fmn-consumer/python-fmn-consumer.spec.tmp
index 545a9e136d..3dad8b86e1 100644
--- python-fmn-consumer/python-fmn-consumer.spec
+++ python-fmn-consumer/python-fmn-consumer.spec.tmp
@@ -8,7 +8,7 @@
 
 Name:               python-fmn-consumer
 Version:            1.0.3
-Release:            3%{?dist}
+Release:            4%{?dist}
 Summary:            Backend worker daemon for Fedora Notifications
 
 Group:              Development/Libraries
@@ -31,25 +31,32 @@ BuildRequires:      python-requests
 BuildRequires:      python-arrow
 BuildRequires:      python-bleach
 
-Requires:           fedmsg
-Requires:           python-twisted-words
-Requires:           python-fmn-lib
-Requires:           python-requests
-Requires:           python-arrow
-Requires:           python-bleach
-Requires:           python-pika
-Requires:           python-redis
-
 Requires(post):     systemd
 Requires(preun):    systemd
 Requires(postun):   systemd
 
-%description
-fmn is a family of systems to manage end-user notifications triggered by
-fedmsg, the Fedora FEDerated MESsage bus.
-
+%global _description\
+fmn is a family of systems to manage end-user notifications triggered by\
+fedmsg, the Fedora FEDerated MESsage bus.\
+\
 This module contains the backend worker daemon for Fedora Notifications.
 
+%description %_description
+
+%package -n python2-fmn-consumer
+Summary: %summary
+Requires:           python-redis
+Requires:           python-pika
+Requires:           python-bleach
+Requires:           python-arrow
+Requires:           python-requests
+Requires:           python-fmn-lib
+Requires:           python-twisted-words
+Requires:           fedmsg
+%{?python_provide:%python_provide python2-fmn-consumer}
+
+%description -n python2-fmn-consumer %_description
+
 %prep
 %setup -q -n %{modname}-%{version}
 
@@ -73,7 +80,7 @@ install -m 644 systemd/fmn-worker@.service \
 #%check
 #%{__python2} setup.py test
 
-%files
+%files -n python2-fmn-consumer
 %doc README.rst COPYING COPYING.LESSER CHANGELOG.rst
 %{python2_sitelib}/fmn/consumer/
 %{python2_sitelib}/%{modname}-%{version}*
@@ -81,6 +88,10 @@ install -m 644 systemd/fmn-worker@.service \
 %{_unitdir}/fmn-backend@.service
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.3-4
+- Python 2 subpackage renamed to python2-fmn-consumer
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-fmn-rules/python-fmn-rules.spec python-fmn-rules/python-fmn-rules.spec.tmp
index dcb884551b..bbb2ad67f2 100644
--- python-fmn-rules/python-fmn-rules.spec
+++ python-fmn-rules/python-fmn-rules.spec.tmp
@@ -8,7 +8,7 @@
 
 Name:               python-fmn-rules
 Version:            0.9.1
-Release:            3%{?dist}
+Release:            4%{?dist}
 Summary:            Message processing rules for Fedora Notifications
 
 Group:              Development/Libraries
@@ -25,16 +25,23 @@ BuildRequires:      python-fedora
 BuildRequires:      python-nose
 BuildRequires:      python-dogpile-cache
 
-Requires:           fedmsg
-Requires:           python-fedmsg-meta-fedora-infrastructure
-Requires:           python-fedora
-Requires:           python-dogpile-cache
+%global _description\
+fmn is a family of systems to manage end-user notifications triggered by\
+fedmsg, the Fedora FEDerated MESsage bus.\
+\
+This module contains the set of "rules" fmn uses to process messages.
 
-%description
-fmn is a family of systems to manage end-user notifications triggered by
-fedmsg, the Fedora FEDerated MESsage bus.
+%description %_description
 
-This module contains the set of "rules" fmn uses to process messages.
+%package -n python2-fmn-rules
+Summary: %summary
+Requires:           python-dogpile-cache
+Requires:           python-fedora
+Requires:           python-fedmsg-meta-fedora-infrastructure
+Requires:           fedmsg
+%{?python_provide:%python_provide python2-fmn-rules}
+
+%description -n python2-fmn-rules %_description
 
 %prep
 %setup -q -n %{modname}-%{version}
@@ -51,12 +58,16 @@ rm -rf %{modname}.egg-info
 #%check
 #%{__python2} setup.py test
 
-%files
+%files -n python2-fmn-rules
 %doc README.rst COPYING COPYING.LESSER CHANGELOG.rst
 %{python2_sitelib}/fmn/
 %{python2_sitelib}/%{modname}-%{version}*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.9.1-4
+- Python 2 subpackage renamed to python2-fmn-rules
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-fn/python-fn.spec python-fn/python-fn.spec.tmp
index 3cd52244b2..f027c24c27 100644
--- python-fn/python-fn.spec
+++ python-fn/python-fn.spec.tmp
@@ -4,7 +4,7 @@
 
 Name:           python-fn
 Version:        0.4.3
-Release:        8%{?dist}
+Release:        9%{?dist}
 Summary:        Features to allow functional programming in Python
 
 Group:          Development/Libraries
@@ -14,19 +14,27 @@ Source0:        https://pypi.python.org/packages/source/f/fn/fn-%{version}.tar.g
 BuildRequires:  python2-devel python-setuptools
 BuildArch:      noarch
 
-%description
-Despite the fact that Python is not pure-functional programming language, it's
-a multi-paradigm PL and it gives you enough freedom to take credits from
-functional programming approach. There are theoretical and practical advantages
-to the functional style:
+%global _description\
+Despite the fact that Python is not pure-functional programming language, it's\
+a multi-paradigm PL and it gives you enough freedom to take credits from\
+functional programming approach. There are theoretical and practical advantages\
+to the functional style:\
+\
+  - Formal provability\
+  - Modularity\
+  - Composability\
+  - Ease of debugging and testing\
+\
+Fn.py library provides you with missing "batteries" to get maximum from\
+functional approach even in mostly-imperative program.
 
-  - Formal provability
-  - Modularity
-  - Composability
-  - Ease of debugging and testing
+%description %_description
 
-Fn.py library provides you with missing "batteries" to get maximum from
-functional approach even in mostly-imperative program.
+%package -n python2-fn
+Summary: %summary
+%{?python_provide:%python_provide python2-fn}
+
+%description -n python2-fn %_description
 
 %if 0%{?with_python3}
 %package -n     python3-fn
@@ -86,7 +94,7 @@ pushd %{py3dir}
 popd
 %endif
 
-%files
+%files -n python2-fn
 %doc HISTORY.rst README.rst LICENSE
 %{python_sitelib}/fn/
 %{python_sitelib}/fn-%{version}*
@@ -99,6 +107,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.4.3-9
+- Python 2 subpackage renamed to python2-fn
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
